Module tdlight.api
Package it.tdlight.jni

# Class TdApi.UpdateNewChosenInlineResult

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Update
it.tdlight.jni.TdApi.UpdateNewChosenInlineResult

Enclosing class:
  TdApi

public static final class TdApi.UpdateNewChosenInlineResult extends TdApi.Update
The user has chosen a result of an inline query; for bots only.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`String`
`inlineMessageId`
Identifier of the sent inline message, if known.
`String`
`query`
Text of the query.
`String`
`resultId`
Identifier of the chosen result.
`long`
`senderUserId`
Identifier of the user who sent the query.
`TdApi.Location`
`userLocation`
User location; may be null.

## Constructor Summary

Constructors
Constructor
Description
`UpdateNewChosenInlineResult()`
The user has chosen a result of an inline query; for bots only.
`UpdateNewChosenInlineResult(long senderUserId, TdApi.Location userLocation, String query, String resultId, String inlineMessageId)`
The user has chosen a result of an inline query; for bots only.
`UpdateNewChosenInlineResult(DataInput input)`
The user has chosen a result of an inline query; for bots only.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### senderUserId

public long senderUserId
Identifier of the user who sent the query.

### userLocation

public TdApi.Location userLocation
User location; may be null.

### query

public String query
Text of the query.

### resultId

public String resultId
Identifier of the chosen result.

### inlineMessageId

public String inlineMessageId
Identifier of the sent inline message, if known.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### UpdateNewChosenInlineResult

public UpdateNewChosenInlineResult()
The user has chosen a result of an inline query; for bots only.

### UpdateNewChosenInlineResult

public UpdateNewChosenInlineResult(long senderUserId, TdApi.Location userLocation, String query, String resultId, String inlineMessageId)
The user has chosen a result of an inline query; for bots only.

Parameters:
  `senderUserId` - Identifier of the user who sent the query.
  `userLocation` - User location; may be null.
  `query` - Text of the query.
  `resultId` - Identifier of the chosen result.
  `inlineMessageId` - Identifier of the sent inline message, if known.

### UpdateNewChosenInlineResult

public UpdateNewChosenInlineResult(DataInput input) throws IOException
The user has chosen a result of an inline query; for bots only.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`